Update User Roles (GQL)

Note: All the User Management API's have the endpoint: /graphql

Replaces the roles of another self-service user of the same client. Returns the id of the updated user.

Rules:

  • The enable-managing-ssu-by-ssu global configuration must be enabled.
  • You cannot update your own user.
  • The logged-in user and the user being updated must both be linked to the same single client, and that client must be an entity.
  • At least one role is required, and every role must be a self-service role.
Body Params

Following are the details on the GraphQL fields :

ParameterDescriptionMandatoryData TypeExample
idId of the user to updateYesLong13
rolesIds of the self-service roles the user should haveYes[Long][5, 6]
Headers
string
required
Defaults to z01j3e71zd6zkq908vyf5861a8

The ID of your banking instance visible in the MBANQ Console.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json